# Class SampleSaveConfiguration

java.lang.Object
org.apache.jmeter.samplers.SampleSaveConfiguration

All Implemented Interfaces:
  `Serializable, Cloneable`

public class SampleSaveConfiguration extends Object implements Cloneable, Serializable
Holds details of which sample attributes to save. The pop-up dialogue for this is created by the class SavePropertyDialog, which assumes:

For each field XXX

- methods have the signature "boolean saveXXX()"
- a corresponding "void setXXX(boolean)" method
- messages.properties contains the key save_XXX

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SAVE_ALL_ASSERTIONS`
`static final int`
`SAVE_FIRST_ASSERTION`
`static final int`
`SAVE_NO_ASSERTIONS`

## Constructor Summary

Constructors
Constructor
Description
`SampleSaveConfiguration()`
`SampleSaveConfiguration(boolean value)`
Alternate constructor for use by OldSaveService

## Method Summary

Modifier and Type
Method
Description
`int`
`assertionsResultsToSave()`
`Object`
`clone()`
`boolean`
`equals(Object obj)`
`DateFormat`
`formatter()`
`String`
`getDelimiter()`
`int`
`getVarCount()`
`String`
`getXmlPi()`
`int`
`hashCode()`
`boolean`
`printMilliseconds()`
`boolean`
`saveAssertionResultsFailureMessage()`
`boolean`
`saveAssertions()`
`boolean`
`saveAsXml()`
`boolean`
`saveBytes()`
`boolean`
`saveCode()`
`boolean`
`saveConnectTime()`
`boolean`
`saveDataType()`
`boolean`
`saveEncoding()`
`boolean`
`saveFieldNames()`
`boolean`
`saveFileName()`
`boolean`
`saveHostname()`
`boolean`
`saveIdleTime()`
`boolean`
`saveLabel()`
`boolean`
`saveLatency()`
`boolean`
`saveMessage()`
`boolean`
`saveRequestHeaders()`
`boolean`
`saveResponseData()`
`boolean`
`saveResponseData(SampleResult res)`
`boolean`
`saveResponseHeaders()`
////////////////// Start of standard save/set access methods /////////////////////
`boolean`
`saveSampleCount()`
`boolean`
`saveSamplerData()`
`boolean`
`saveSamplerData(SampleResult res)`
`boolean`
`saveSubresults()`
`boolean`
`saveSuccess()`
`boolean`
`saveThreadCounts()`
`boolean`
`saveThreadName()`
`boolean`
`saveTime()`
`boolean`
`saveTimestamp()`
`boolean`
`saveUrl()`
`void`
`setAssertionResultsFailureMessage(boolean b)`
`void`
`setAssertions(boolean assertions)`
`void`
`setAsXml(boolean xml)`
`void`
`setBytes(boolean save)`
`void`
`setCode(boolean code)`
`void`
`setConnectTime(boolean connectTime)`
`void`
`setDataType(boolean dataType)`
`void`
`setDefaultDelimiter()`
`void`
`setDefaultTimeStampFormat()`
`void`
`setDelimiter(String delim)`
`void`
`setEncoding(boolean encoding)`
`void`
`setFieldNames(boolean printFieldNames)`
`void`
`setFileName(boolean save)`
`void`
`setFormatter(DateFormat fmt)`
Only intended for use by OldSaveService (and test cases)
`void`
`setHostname(boolean save)`
`void`
`setIdleTime(boolean save)`
`void`
`setLabel(boolean label)`
`void`
`setLatency(boolean latency)`
`void`
`setMessage(boolean message)`
`void`
`setRequestHeaders(boolean r)`
`void`
`setResponseData(boolean responseData)`
`void`
`setResponseHeaders(boolean r)`
`void`
`setSampleCount(boolean save)`
`void`
`setSamplerData(boolean samplerData)`
`void`
`setSubresults(boolean subresults)`
`void`
`setSuccess(boolean success)`
`void`
`setThreadCounts(boolean save)`
`void`
`setThreadName(boolean threadName)`
`void`
`setTime(boolean time)`
`void`
`setTimestamp(boolean timestamp)`
`void`
`setUrl(boolean save)`
`void`
`setVarCount(int varCount)`
`static SampleSaveConfiguration`
`staticConfig()`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SAVE_NO_ASSERTIONS

public static final int SAVE_NO_ASSERTIONS

See Also:
  - Constant Field Values

### SAVE_FIRST_ASSERTION

public static final int SAVE_FIRST_ASSERTION

See Also:
  - Constant Field Values

### SAVE_ALL_ASSERTIONS

public static final int SAVE_ALL_ASSERTIONS

See Also:
  - Constant Field Values

## Constructor Details

### SampleSaveConfiguration

public SampleSaveConfiguration()

### SampleSaveConfiguration

public SampleSaveConfiguration(boolean value)
Alternate constructor for use by OldSaveService

Parameters:
  `value` - initial setting for boolean fields used in Config dialogue

## Method Details

### getVarCount

public int getVarCount()

### setVarCount

public void setVarCount(int varCount)

### staticConfig

public static SampleSaveConfiguration staticConfig()

### clone

public Object clone()

Overrides:
  `clone` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### saveResponseHeaders

public boolean saveResponseHeaders()
////////////////// Start of standard save/set access methods /////////////////////

### setResponseHeaders

public void setResponseHeaders(boolean r)

### saveRequestHeaders

public boolean saveRequestHeaders()

### setRequestHeaders

public void setRequestHeaders(boolean r)

### saveAssertions

public boolean saveAssertions()

### setAssertions

public void setAssertions(boolean assertions)

### saveCode

public boolean saveCode()

### setCode

public void setCode(boolean code)

### saveDataType

public boolean saveDataType()

### setDataType

public void setDataType(boolean dataType)

### saveEncoding

public boolean saveEncoding()

### setEncoding

public void setEncoding(boolean encoding)

### saveLabel

public boolean saveLabel()

### setLabel

public void setLabel(boolean label)

### saveLatency

public boolean saveLatency()

### setLatency

public void setLatency(boolean latency)

### saveConnectTime

public boolean saveConnectTime()

### setConnectTime

public void setConnectTime(boolean connectTime)

### saveMessage

public boolean saveMessage()

### setMessage

public void setMessage(boolean message)

### saveResponseData

public boolean saveResponseData(SampleResult res)

### saveResponseData

public boolean saveResponseData()

### setResponseData

public void setResponseData(boolean responseData)

### saveSamplerData

public boolean saveSamplerData(SampleResult res)

### saveSamplerData

public boolean saveSamplerData()

### setSamplerData

public void setSamplerData(boolean samplerData)

### saveSubresults

public boolean saveSubresults()

### setSubresults

public void setSubresults(boolean subresults)

### saveSuccess

public boolean saveSuccess()

### setSuccess

public void setSuccess(boolean success)

### saveThreadName

public boolean saveThreadName()

### setThreadName

public void setThreadName(boolean threadName)

### saveTime

public boolean saveTime()

### setTime

public void setTime(boolean time)

### saveTimestamp

public boolean saveTimestamp()

### setTimestamp

public void setTimestamp(boolean timestamp)

### saveAsXml

public boolean saveAsXml()

### setAsXml

public void setAsXml(boolean xml)

### saveFieldNames

public boolean saveFieldNames()

### setFieldNames

public void setFieldNames(boolean printFieldNames)

### saveUrl

public boolean saveUrl()

### setUrl

public void setUrl(boolean save)

### saveBytes

public boolean saveBytes()

### setBytes

public void setBytes(boolean save)

### saveFileName

public boolean saveFileName()

### setFileName

public void setFileName(boolean save)

### saveAssertionResultsFailureMessage

public boolean saveAssertionResultsFailureMessage()

### setAssertionResultsFailureMessage

public void setAssertionResultsFailureMessage(boolean b)

### saveThreadCounts

public boolean saveThreadCounts()

### setThreadCounts

public void setThreadCounts(boolean save)

### saveSampleCount

public boolean saveSampleCount()

### setSampleCount

public void setSampleCount(boolean save)

### setFormatter

public void setFormatter(DateFormat fmt)
Only intended for use by OldSaveService (and test cases)

Parameters:
  `fmt` - format of the date to be saved. If `null` milliseconds since epoch will be printed

### printMilliseconds

public boolean printMilliseconds()

### formatter

public DateFormat formatter()

### assertionsResultsToSave

public int assertionsResultsToSave()

### getDelimiter

public String getDelimiter()

### getXmlPi

public String getXmlPi()

### setDelimiter

public void setDelimiter(String delim)

### setDefaultDelimiter

public void setDefaultDelimiter()

### setDefaultTimeStampFormat

public void setDefaultTimeStampFormat()

### saveHostname

public boolean saveHostname()

### setHostname

public void setHostname(boolean save)

### saveIdleTime

public boolean saveIdleTime()

### setIdleTime

public void setIdleTime(boolean save)